IBM Support

Upgrade Compatibility

Product Documentation


Abstract

This document describes upgrade scenarios and supported upgrade paths for IBM Sterling B2B Integrator.

Content

Always check upgrade compatibility before planning an upgrade.

To upgrade the IBM Sterling B2B Integrator environment to a higher version, choose a version compatible with the existing version.

In general, you must upgrade to a version that is released after the existing version.

For example:

  • Upgrade from v5.2.6.3_6 (release date July-2018) to v6.0.0.0 (release date August-2018) – Compatible
  • Upgrade from v5.2.6.3_9 (release date February 2019) to v6.0.0.0 (release date August-2018) – Not compatible
Note: The release date of each version is available in the Release Timeline illustration. For details on release policy, refer to Release strategy for IBM Sterling B2B Integrator and IBM Sterling File Gateway v6.0.x, v6.1.x, and v6.2.x onwards.
 

Refer to Sterling B2B Integrator System Requirements for detailed information on JDK versions in IBM B2B Integrator releases.

Previous Releases:
If you are on any of the following versions, you can upgrade to any of the latest versions as illustrated in the Upgrade Matrix below.
  • 5.2.5_19 or earlier versions
  • 5.2.6.0 all versions
  • 5.2.6.1_9 or earlier versions
  • 5.2.6.2_5 or earlier versions
  • 5.2.6.3_12 or earlier versions

Upgrade Paths

The chart below lists the compatible upgrade paths for IBM B2B Integrator releases.

 Supported Y Indicates the upgrade is compatible.
 Intermediate I
Indicates an in-between upgrade and needs to upgrade further.
When you upgrade to the latest Fix Pack release of a particular version, first upgrade to the Base release of that version.  This is the Intermediate state. You must later upgrade to the Fix Pack release.
Note:
Do not use the system if the Base release on a higher version is older than the current release.
The system remains in a transient state until you upgrade to the latest Fix Pack release.
For example: If you want to upgrade to v6.0.0.1 from v5.2.6.3_9, first upgrade to v6.0.0.0 and later upgrade to v6.0.0.1. You must not use the instance at v6.0.0.0.     
Not supported X Indicates the upgrade is not compatible.
UM_Feb_2024_6125
Note:  From 6.1 onward, there is no intermediate upgrade path, which means customer can directly upgrade to fix pack without installing corresponding base/Mod.
For Example,
For a 5263_16 customer to upgrade to 6104, it's a one step upgrade. Customer can directly upgrade to 6104.
For 5263_16 customer to upgrade to 6035, they must first upgrade to 603 and then apply the 6035 fix pack.

[{"Business Unit":{"code":"BU059","label":"IBM Software w\/o TPS"},"Product":{"code":"SS3JSW","label":"IBM Sterling B2B Integrator"},"Component":"","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF016","label":"Linux"},{"code":"PF033","label":"Windows"}],"Version":"All Versions","Edition":"","Line of Business":{"code":"LOB59","label":"Sustainability Software"}}]

Document Information

Modified date:
16 February 2024

UID

ibm10959473